#include "RISimulatorPluginFactory.h"
#include "RISimulatorPlugin.h"

#include <QtPlugin>

RISimulatorPluginFactory::RISimulatorPluginFactory()
{
}

RISimulatorPluginFactory::~RISimulatorPluginFactory()
{
}

ritk::SourcePlugin*
RISimulatorPluginFactory::CreateInstance()
{
	return new RISimulatorPlugin();
}

QString
RISimulatorPluginFactory::GetName()
{
	return tr("RISimulator");
}

QString
RISimulatorPluginFactory::GetDescription()
{
	return tr("Range imaging simulator using the depth buffer");
}



Q_EXPORT_PLUGIN2(RangeSimulatorPlugin, RISimulatorPluginFactory)

